[arch-commits] Commit in librsvg/repos (4 files)
Jan de Groot
jgc at archlinux.org
Thu Apr 13 21:42:25 UTC 2017
Date: Thursday, April 13, 2017 @ 21:42:24
Author: jgc
Revision: 292889
archrelease: copy trunk to gnome-unstable-i686, gnome-unstable-x86_64
Added:
librsvg/repos/gnome-unstable-i686/
librsvg/repos/gnome-unstable-i686/PKGBUILD
(from rev 292888, librsvg/trunk/PKGBUILD)
librsvg/repos/gnome-unstable-x86_64/
librsvg/repos/gnome-unstable-x86_64/PKGBUILD
(from rev 292888, librsvg/trunk/PKGBUILD)
--------------------------------+
gnome-unstable-i686/PKGBUILD | 45 +++++++++++++++++++++++++++++++++++++++
gnome-unstable-x86_64/PKGBUILD | 45 +++++++++++++++++++++++++++++++++++++++
2 files changed, 90 insertions(+)
Copied: librsvg/repos/gnome-unstable-i686/PKGBUILD (from rev 292888, librsvg/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-i686/PKGBUILD (rev 0)
+++ gnome-unstable-i686/PKGBUILD 2017-04-13 21:42:24 UTC (rev 292889)
@@ -0,0 +1,45 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=librsvg
+pkgver=2.40.17
+pkgrel=1
+epoch=2
+pkgdesc="SVG rendering library"
+url="https://wiki.gnome.org/Projects/LibRsvg"
+arch=(i686 x86_64)
+license=(LGPL)
+depends=(gdk-pixbuf2 pango libcroco)
+makedepends=(intltool gobject-introspection vala python2 gtk-doc git)
+_commit=f4cf9aca144eeda8f441f839881bcbd492529002 # tags/2.40.17^0
+source=("git+https://git.gnome.org/browse/librsvg#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd $pkgname
+ git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+ cd $pkgname
+ NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+ cd $pkgname
+ ./configure --prefix=/usr --disable-static --enable-vala --enable-gtk-doc
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool
+ make
+}
+
+check() {
+ cd $pkgname
+ # Reftests fail due to differences in text rendering
+ # Even with the fixated font on master there are still differences on i686
+ make check || :
+}
+
+package() {
+ cd $pkgname
+ make DESTDIR="$pkgdir" install
+}
Copied: librsvg/repos/gnome-unstable-x86_64/PKGBUILD (from rev 292888, librsvg/trunk/PKGBUILD)
===================================================================
--- gnome-unstable-x86_64/PKGBUILD (rev 0)
+++ gnome-unstable-x86_64/PKGBUILD 2017-04-13 21:42:24 UTC (rev 292889)
@@ -0,0 +1,45 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=librsvg
+pkgver=2.40.17
+pkgrel=1
+epoch=2
+pkgdesc="SVG rendering library"
+url="https://wiki.gnome.org/Projects/LibRsvg"
+arch=(i686 x86_64)
+license=(LGPL)
+depends=(gdk-pixbuf2 pango libcroco)
+makedepends=(intltool gobject-introspection vala python2 gtk-doc git)
+_commit=f4cf9aca144eeda8f441f839881bcbd492529002 # tags/2.40.17^0
+source=("git+https://git.gnome.org/browse/librsvg#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd $pkgname
+ git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+ cd $pkgname
+ NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+ cd $pkgname
+ ./configure --prefix=/usr --disable-static --enable-vala --enable-gtk-doc
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' libtool
+ make
+}
+
+check() {
+ cd $pkgname
+ # Reftests fail due to differences in text rendering
+ # Even with the fixated font on master there are still differences on i686
+ make check || :
+}
+
+package() {
+ cd $pkgname
+ make DESTDIR="$pkgdir" install
+}
More information about the arch-commits
mailing list